#include <SoftwareSerial.h>

#include <Wire.h>


int right=0;
int left=0;
int rightL=0;
int leftL=0;

//For providing logic to L293D to choose the direction of the DC motor the pins are put into 2 and 3 in Arduino
const int pin2 = 2 ;
const int pin7 = 3 ;

// toggle switch pins in Arduino

const int toggleRight= 5; //clockwise direction
const int toggleLeft= 6; //anti clockwise direction

//specifying outputs and inputs
void setup() {
  Serial.begin(9600);
  pinMode(pin2, OUTPUT);
  pinMode(pin7,OUTPUT);
  pinMode(toggleRight,INPUT);
  pinMode(toggleLeft,INPUT);
  }

 
void loop() 
{
  left=digitalRead(toggleLeft);
  right=digitalRead(toggleRight);
  
//to turn the dc motor clockwise
  if ((right)==(1)&& (rightL)==0) 
  {
   digitalWrite(pin2,1) ;
   digitalWrite(pin7,0) ;
   rightL=right;
   delay (1000);
  }
  //stops the motor after one second automatically 
 else if (right==0)
 {
  rightL=right;
 
 }
 else 
  {
    
  digitalWrite(pin2,0) ;
  digitalWrite(pin7,0) ;
  }

  //turns the motor anticlockwise
  if ((left)==(1)&& (leftL)==0) 
  {
   digitalWrite(pin2,1) ;
   digitalWrite(pin7,0) ;
   leftL=left;
   delay (1000); //runs the motor for one second
  }
  //stops the motor after one second automatically
  else if (left==0)
 {
  leftL=left;
 }

//to stop the motor when the toggle swıtch is in the mıddle
else 
  {  
  digitalWrite(pin2,0) ;
  digitalWrite(pin7,0) ;
  }
    
}   
